summaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorDamien Miller <djm@mindrot.org>2000-10-16 12:25:17 +1100
committerDamien Miller <djm@mindrot.org>2000-10-16 12:25:17 +1100
commit2b2cf52471efcff7d5cef4bbf6d724f8c84b0f39 (patch)
treed7b26b1f8eb3ea62b96cbc2a3a0848d8d0d3de6f /contrib
parentcd57198b3e0857218ba461b174063d763dcc9d81 (diff)
- Added condrestart to Redhat init script. Patch from Pekka Savola
<pekkas@netcore.fi> - Update version in Redhat spec file
Diffstat (limited to 'contrib')
-rw-r--r--contrib/redhat/openssh.spec2
-rwxr-xr-xcontrib/redhat/sshd.init9
2 files changed, 9 insertions, 2 deletions
diff --git a/contrib/redhat/openssh.spec b/contrib/redhat/openssh.spec
index d1bd1670..95be389c 100644
--- a/contrib/redhat/openssh.spec
+++ b/contrib/redhat/openssh.spec
@@ -1,5 +1,5 @@
# Version of OpenSSH
-%define oversion 2.2.0p2
+%define oversion 2.3.0p1
# Version of ssh-askpass
%define aversion 1.0.2
diff --git a/contrib/redhat/sshd.init b/contrib/redhat/sshd.init
index a30d4806..83c10a88 100755
--- a/contrib/redhat/sshd.init
+++ b/contrib/redhat/sshd.init
@@ -81,12 +81,19 @@ case "$1" in
$0 start
RETVAL=$?
;;
+ condrestart)
+ if [ -f /var/lock/subsys/sshd ] ; then
+ $0 stop
+ $0 start
+ RETVAL=$?
+ fi
+ ;;
status)
status sshd
RETVAL=$?
;;
*)
- echo "Usage: sshd {start|stop|restart|status}"
+ echo "Usage: sshd {start|stop|restart|status|condrestart}"
exit 1
;;
esac